View Issue Details

IDProjectCategoryView StatusLast Update
0002651CentOS-5dovecotpublic2009-02-18 16:48
Reporterlfelipebm 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.1 
Target VersionFixed in Version5.2 
Summary0002651: Dovecot error while loading shared libraries: libsepol.so.1
DescriptionCentOS 5.1 x86_64
dovecot x86_64 1.0 release 1.2.rc15.el5

I'm getting this in /var/log/maillog when I start dovecot service:

"Feb 5 19:45:23 servidor dovecot: imap-login: imap-login: error while loading shared libraries: libsepol.so.1: failed to map segment from shared object: Cannot allocate memory"

Dovecot does not work and the computer hangs if you try to reboot.

I solved the issue by setting login_process_size = 64 in dovecot.conf. I got this idea from here: http://www.cyberciti.biz/tips/rhel-dovecot-error-while-loading-shared-libraries.html

"The Dovecot package on x86_64 (64 bit system) kernels requires the parameter “login_process_size = 64″ to be added to /etc/dovecot.conf after an upgrade to RHEL / CentOS 5.1."

I'm not quite sure it's a bug or not.
TagsNo tags attached.

Activities

range

range

2008-02-05 17:05

administrator   ~0006818

You could have taken a look at the release notes, where it states:

# The Dovecot package on x86_64 kernels requires the parameter "login_process_size = 64" to be added to /etc/dovecot.conf after an upgrade to CentOS 5.1.

Yes, bug. Yes, known.

https://bugzilla.redhat.com/show_bug.cgi?id=253363
etbe

etbe

2008-02-13 23:15

reporter   ~0006886

This occurred for me when I upgraded krb5-libs to version 1.6.1-17.el5.

I downgraded krb5-libs to version 1.5-17 (CentOS 5 release) and it works correctly. I didn't try changing the login_process_size.
range

range

2009-02-18 16:48

administrator   ~0008743

Fixed in dovecot-1.0.7-2.el5

Issue History

Date Modified Username Field Change
2008-02-05 16:54 lfelipebm New Issue
2008-02-05 17:05 range Note Added: 0006818
2008-02-05 17:06 range Status new => acknowledged
2008-02-13 23:15 etbe Note Added: 0006886
2009-02-18 16:48 range Note Added: 0008743
2009-02-18 16:48 range Status acknowledged => resolved
2009-02-18 16:48 range Fixed in Version => 5.2
2009-02-18 16:48 range Resolution open => fixed